<?php
/**
 * Created by IntelliJ IDEA.
 * User: Kevin
 * Date: 14/05/2015
 * Time: 19:14
 */

App::uses('Constants', 'Config');

class OffersCaducityShell extends AppShell {

	public $uses = array('Contract', 'Basket');

	public function main() {

		$this->Contract->recursive = -1;
		$this->Contract->Behaviors->load('Containable');
		$contracts = $this->Contract->find('all', array(
			'conditions' => array(
				'Basket.state' => Constants::STATE_SOLD,
				'DATE(Contract.end_date) <' => date('Y-m-d')
			),
			'contain' => array('Basket')
		));

		if(!empty($contracts)) {
			foreach($contracts as $key => $contract) {
				$this->Basket->id = $contract['Basket']['id'];
				$this->Basket->saveField('state', Constants::STATE_FINISHED);

				CakeLog::write("contracts", "Ha acabat el contracte amb id ". $contract['Contract']['id']. ", i han sobrat ". $contract['Contract']['remaining_amount']);
			}
		}
	}
}
