<?php
/**
 * OfferFixture
 *
 */
class OfferFixture extends CakeTestFixture {

/**
 * Table name
 *
 * @var string
 */
	public $table = 'offer';

/**
 * Fields
 *
 * @var array
 */
	public $fields = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
		'shop_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'index'),
		'basket_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'index'),
		'percentage' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'active' => array('type' => 'boolean', 'null' => true, 'default' => null),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1),
			'fk_offer_shop1_idx' => array('column' => 'shop_id', 'unique' => 0),
			'fk_offer_basket1_idx' => array('column' => 'basket_id', 'unique' => 0)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'shop_id' => 1,
			'basket_id' => 1,
			'percentage' => 1,
			'created' => '2015-03-24 18:53:55',
			'modified' => '2015-03-24 18:53:55',
			'active' => 1
		),
	);

}
