<?php
App::uses('AppController', 'Controller');
/**
 * Activities Controller
 *
 */
class ActivitiesController extends AppController {

/**
 * Scaffold
 *
 * @var mixed
 */
	public $scaffold;

	public $components = array('RequestHandler');

	public function index() {

		$this->Activity->recursive = -1;
		$activities = $this->Activity->find('all');

		if(!empty($activities)) {
			$this->set(array(
				'result' => Constants::RESULT_OK,
				'activities' => $activities,
				'_serialize' => array('result', 'activities')
			));
		} else {
			$this->set(array(
				'result' => Constants::ERROR_GENERIC,
				'message' => 'Error getting the activities list.',
				'_serialize' => array('result', 'message')
			));
		}
	}
}
